[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBandDragEvent

Specifies an event handler signalled when a control on a band is dragged.

## Declaration

Source position: extctrls.pp line 1504

`type TBandDragEvent = procedure(`
`Sender: TObject;`
`Control: TControl;`
`var Drag: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomControlBar) for the event notification.
`Control` |  | Control for the drag event.
`Drag` |  | True if the control can be dragged and the DragManager can be used to start the drag operation.

## Description

TBandDragEvent is the type used to implement the OnBandDrag property in TCustomControlBar.

## See also

TCustomControlBar.OnBandDrag |  | Event handler signalled when a drag operation is about to begin for a band on the control bar.
TCustomControlBar.DragControl |  | Signals an assigned OnBandDrag event handler and starts a drag operation for the specified control.